/*sm*//*
@media (min-width: 576px) {
}*/
/*md*//*
@media (min-width: 768px) {
}*/
/*lg*//*
@media (min-width: 992px) {
}*/
/*xl*//*
@media (min-width: 1200px) {
}*/

/* ------------ GENERAL ------------- */
:root {
    --color1: #F7B432; /* //F26538 //F76D2B*/
    --color1_dark: #c88932;
}

* {
    box-sizing: border-box;
}

body, html {
   /* margin: 0;
    padding: 0;
    width: 100%;*/
    height: 100%;
    /*box-sizing: border-box;*/
    scroll-behavior: smooth;
}

#wrapper{
    /* Firefox */
    min-height: -moz-calc(100% - 130px);
    /* WebKit */
    min-height: -webkit-calc(100% - 130px);
    /* Opera */
    min-height: -o-calc(100% - 130px);
    /* Standard */
    min-height: calc(100% - 130px);
}

#main{
    /*overflow: auto;*/
    padding-bottom: 150px;
}

.container{
    padding-left: 5px !important;
    padding-right: 5px !important;
}

@media (min-width: 576px) {
    .container {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }
}

.smaller{
    font-size: 90%;
}

.text-orange {
    color: var(--color1) !important;
}

a.text-orange:hover, a.text-orange:focus {
    color: var(--color1_dark) !important;
}

.bg-orange {
    background-color: var(--color1) !important;
}

.table-hover td{
    cursor: pointer;
}

.cursor-pointer{
    cursor: pointer !important;
}

/* ------------ FOOTER ------------- */
#footer{
    position: relative;
//height: 130px;
//margin-top: -130px;
    clear: both;
}

#footer{
    background-color: #282828;
    color: #dddddd;
}

#footer p{
    margin-bottom: 0;
}

#footer-bottom{
    border-top: 1px solid #4e4e4e;
}

#footerNav a{
    padding: 0 15px;
    color: #dddddd;
    text-decoration: none;
}

#footerTitleImg{
    width: 200px;
}

/* ------------ TOAST ------------- */
#toast {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -125px; /* Divide value of min-width by 2 */
    background-color: #333; /* Black background color */
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 2px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 1; /* Add a z-index if needed */
    left: 50%; /* Center the toast */
    bottom: 30px; /* 30px from the bottom */
}

/* Show the toast when clicking on a button (class added with JavaScript) */
#toast.show {
    visibility: visible; /* Show the toast */
    /* Add animation: Take 0.5 seconds to fade in and out the toast.
    However, delay the fade out process for 2.5 seconds */
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

/* Animations to fade the toast in and out */
@-webkit-keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}


/* ------------ NAVBAR ------------- */
.navbar-nav{
    font-family: 'DM Sans', sans-serif;
    font-size: 1.2em;
}

.navbar .nav-link {
    color: var(--light) !important;
    float: left;
    display: block;
    text-align: center;
    padding: 10px 0 5px 0 !important;
    margin: 0 0.9em;
    text-decoration: none;
    font-size: 17px;
    border-bottom: 2px solid transparent;
}

.navbar .nav-link:hover {
    color: white !important;
    border-bottom: 2px solid white;
}

.navbar .active .nav-link {
    color: white !important;
    border-bottom: 2px solid white;
}

.navbar-title-part{
    color: white !important;
}

.navbar-title {
    position: relative;
    color: black !important;
    font-size: 2em;
    font-family: 'Oswald', sans-serif;
    margin-bottom: 8px;
    margin-top: 0px;
}

/*#navbar-title-text{
    position: absolute;
    bottom: 2px;
}*/

#title-icon{
    display: none;
    font-size: 0.9em;
    color: white;
    margin-right: 13px;
    padding: 8px 16px 14px 20px;
    background-color: black;
}

@media (min-width: 390px) {
    #title-icon {
        display: inline;
    }
}

@media (min-width: 768px) {
    .navbar .nav-link {
        padding: 10px 4px !important;
    }
}

/* ---------------- DROPDOWN LOGIN ---------------- */

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    position: absolute;
    right: 0;
    padding: 10px;
    background-color: #f9f9f9;
    min-width: 280px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content-sm {
    position: absolute;
    right: 0;
    padding: 6px;
    background-color: #f9f9f9;
    min-width: 200px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

/*#login-form{
    display: none;
}*/

/*.show {
	display: block;
}*/


/* ------------ CAROUSEL ------------- */
.carousel{
    height: 370px;
}

.carousel .carousel-inner{
    height: 430px;
}

.carousel-sm{
    height: 150px;
}

.carousel-sm .carousel-inner{
    height: 150px;
    margin: auto;
}

/*.carousel-title{
    //color: #FFF;
    //font-size: 2em;
    margin: 40px 0 0 10%;
}*/

.carousel-img {
    background-image: url('/imgs/photo3_2000.jpg');
    background-color: #333333;
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
}

/* ------------ CATEGORIES ------------- */
.btn-category {
    background-color: var(--color1);
    height: 100%;
    font-size: 1.3em;

    -webkit-transition: 200ms ease-out;
    -moz-transition: 200ms ease-out;
    -o-transition: 200ms ease-out;
    transition: 200ms ease-out;
}

.btn-category:hover {
    background-color: black;
}

.active .btn-category{
    background-color: black;
}

.btn-category-img{
    font-size: 1.8em;
    margin-bottom: 5px;
}

.link-category{
    color: white;
}

.link-category:hover{
    color: white;
    text-decoration: none;
}

.link-category .active{
    color: white;
    text-decoration: none;
}

/* ------------ UP-BUTTON ------------- */
#btn-up {
    opacity: 0;
    position: fixed;
    bottom: 20px;
    right: -30px;
    z-index: 99;
    color: var(--orange);
    width: 35px;
    transition: 200ms;
}

#btn-up:hover {
    animation: shake 0.82s;
}

@keyframes shake {
    20%, 60% {
        transform: translate(0, -6px);
    }

    40%, 90% {
        transform: translate(0, 1px);
    }
}


/* ------------ SIDE NAV ------------- */
#sideDiv{
    width: 100%;
}

/*lg*/
@media (min-width: 992px) {
    #sideDiv{
        width: 200px;
    }
}

.sideNav{
    border: 1px solid #dee2e6 !important;
    font-size: .875rem;
    padding-bottom: 5px;
    //flex-direction: column !important;
    /*width: 200px;*/
    /*box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);*/
}

.sideNav h6{
    font-size: .75rem;
    text-transform: uppercase;
}

.sideNav .feather{
    width: 16px;
    height: 16px;
    vertical-align: text-bottom;
    margin-right: 4px;
    color: #999;
}

.sideNav .nav-link{
    color: #333;
    font-weight: 500;
    padding: .3rem 1rem;
}

.sideNav .nav-link.active{
    color: var(--color1);
}

.sideNav .nav-link.active svg{
    color: var(--color1);
}


/* ------------ PRODUCTS ------------- */
.product_card {
    cursor: pointer;
    min-height: 11em;
}

.product_card:hover {
    border: 1px solid #c2c2c2 !important;
}

.product_card:hover .border-right {
    border-right: 1px solid #c2c2c2 !important;
}

.product_img{
    max-width: 90%;
    max-height: 200px;
}

.bottom-bar{
    height: 35px;
}

.product-desc-html h2{
    font-size: 1.75rem;
}

.product-desc-html h3{
    font-size: 1.5rem;
}

.product-desc-html h4{
    font-size: 1.25rem;
}


/* ------------- SPINNER ------------- */

#spinner {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, .7);
}

#spinner-modal .spinner-border{
    width: 3rem;
    height: 3rem;
}

/* ------------- IMAGE UPLOAD ------------- */

.dropzone{
    margin: 0;
    border: 0;
    padding: 0;
}

.dropzone.dz-clickable *{
    cursor: initial;
}

.dropzone .dz-preview * {
    cursor: pointer !important;
}

.dropzone .dz-message{
    padding: 2em 0;
    border: 2px dotted #aaa;
    margin: 0;
}

.dropzone .dz-preview .dz-image{
    border-radius: 5px;
}

.dropzone .dz-preview .dz-progress{
    top: 70% !important;
}

.dropzone .dz-preview .dz-remove{
    color: var(--color1);
}

.dropzone .dz-preview .dz-image img{
    margin: auto;
}

.dropzone.dz-clickable *:hover #img-upload{
    animation: none;
}

.dropzone.dz-clickable .dz-message:hover #img-upload {
    animation: shake 0.82s;
}

.dropzone .dz-preview.dz-image-preview.active .dz-image{
    border: 3px solid var(--color1);
}

.dropzone.dz-clickable .btn, .dropzone.dz-clickable .btn *{
    cursor: pointer !important;
}

/*.dropzone .dz-preview .dz-details{
    top: 34px !important;
}*/


/* ------------- CKEditor ------------- */
.ck.ck-toolbar{
    border: 0 !important;
}

.ck.ck-editor__editable_inline{
    border: 0 !important;
    border-top: 1px solid lightgray !important;
}

/*kliknutí do pole*/
.ck.ck-editor__editable:not(.ck-editor__nested-editable).ck-focused{
    box-shadow: 0 0 0 0.2rem rgba(0,123,255,.25) !important;
}


/* ------------- AUTOCOMPLETE ------------- */
.autocomplete {
    position: relative;
    display: inline-block;
}

.autocomplete-items {
    position: absolute;
    border: 1px solid #d4d4d4;
    border-bottom: none;
    border-top: none;
    z-index: 999999;
    /*position the autocomplete items to be the same width as the container:*/
    top: 100%;
    left: 0;
    right: 0;
}

.autocomplete-items > div {
    padding: 10px;
    cursor: pointer;
    background-color: #fff;
    border-bottom: 1px solid #d4d4d4;
}

/*when hovering an item:*/
.autocomplete-items > div:hover {
    background-color: #e9e9e9;
}

/*when navigating through the items using the arrow keys:*/
.autocomplete-active {
    background-color: DodgerBlue !important;
}

.autocomplete-active * {
    color: #ffffff !important;
}



/* ------------- CHECKBOX ------------- */
.control {
    display: block;
    position: relative;
    padding-left: 30px;
    margin-bottom: 15px;
    cursor: pointer;
}
.control input {
    position: absolute;
    z-index: -1;
    opacity: 0;
}
.control__indicator {
    position: absolute;
    top: 2px;
    left: 0;
    height: 20px;
    width: 20px;
    background: #e6e6e6;
}
.control--radio .control__indicator {
    border-radius: 50%;
}
.control:hover input ~ .control__indicator,
.control input:focus ~ .control__indicator {
    background: #ccc;
}
.control input:checked ~ .control__indicator {
    background: var(--color1);
}
.control:hover input:not([disabled]):checked ~ .control__indicator,
.control input:checked:focus ~ .control__indicator {
    background: var(--color1_dark);
}
.control input:disabled ~ .control__indicator {
    background: #e6e6e6;
    opacity: 0.6;
    pointer-events: none;
}
.control__indicator:after {
    content: '';
    position: absolute;
    display: none;
}
.control input:checked ~ .control__indicator:after {
    display: block;
}
.control--checkbox .control__indicator:after {
    left: 7px;
    top: 4px;
    width: 5px;
    height: 10px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}
.control--checkbox input:disabled ~ .control__indicator:after {
    border-color: #7b7b7b;
}
.control--radio .control__indicator:after {
    left: 7px;
    top: 7px;
    height: 6px;
    width: 6px;
    border-radius: 50%;
    background: #fff;
}
.control--radio input:disabled ~ .control__indicator:after {
    background: #7b7b7b;
}
.select {
    position: relative;
    display: inline-block;
    margin-bottom: 15px;
    width: 100%;
}
.select select {
    display: inline-block;
    width: 100%;
    cursor: pointer;
    padding: 10px 15px;
    outline: 0;
    border: 0;
    border-radius: 0;
    background: #e6e6e6;
    color: #7b7b7b;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}
.select select::-ms-expand {
    display: none;
}
.select select:hover,
.select select:focus {
    color: #000;
    background: #ccc;
}
.select select:disabled {
    opacity: 0.5;
    pointer-events: none;
}
.select__arrow {
    position: absolute;
    top: 16px;
    right: 15px;
    width: 0;
    height: 0;
    pointer-events: none;
    border-style: solid;
    border-width: 8px 5px 0 5px;
    border-color: #7b7b7b transparent transparent transparent;
}
.select select:hover ~ .select__arrow,
.select select:focus ~ .select__arrow {
    border-top-color: #000;
}
.select select:disabled ~ .select__arrow {
    border-top-color: #ccc;
}